### File

`packages/components/eui-language-selector/modal-selector/modal-selector.component.ts`

### Description

Modal component for language selection. Displays EU and non-EU languages in a grid layout with 4 languages per row.

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-modal-selector`
imports | `EUI_BUTTON`
templateUrl | `./modal-selector.component.html`

### Index

###### Properties

- Public additionaLanguageRows
- Public additionalLanguageRows
- config
- Public languageRows

###### Methods

- selectLanguage

### Methods

selectLanguage
`selectLanguage(languageCode: EuiLanguage)`

Handles language selection

Parameters :

Name | Type | Optional | Description

languageCode

`EuiLanguage`

No

- The language being selected

Returns : `void`

### Properties

Public additionaLanguageRows
[object Object],[object Object]
Type : `EuiLanguage[][]`
Default value : `[]`
Non-EU languages organized in rows of up to 4 languages

Public additionalLanguageRows
Type : `EuiLanguage[][]`
Default value : `[]`
Non-EU languages organized in rows of up to 4 languages

config
Type : `unknown`
Default value : `inject<ModelConfig>(DIALOG_COMPONENT_CONFIG, { optional: true })`
Configuration injected from the dialog service

Public languageRows
Type : `EuiLanguage[][]`
Default value : `[]`
EU languages organized in rows of up to 4 languages

# results matching ""

# No results matching ""